switch (lang) {
case "ko": // lang의 값이 ko인 경우.
    var days = ["일요일","월요일","화요일","수요일","목요일","금요일","토요일"];
    var months=["01","02","03","04","05","06","07","08","09","10","11","12"];
break;
default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
    var days = ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];
    var months=["January","February","March","April","May","June","July","August","September","October","November","December"];
break;
}

// --------------------------------------------------------------------------------------------
// ** 시간 설정
// --------------------------------------------------------------------------------------------
function updateClock() {
    var currentTime = new Date();
	var currentYear = currentTime.getFullYear();
    var currentHours = currentTime.getHours();
    var currentMinutes = currentTime.getMinutes() < 10 ? '0' + currentTime.getMinutes() : currentTime.getMinutes();
    var currentSeconds = currentTime.getSeconds() < 10 ? '0' + currentTime.getSeconds() : currentTime.getSeconds();
    var currentDate = currentTime.getDate() < 10 ? '0' + currentTime.getDate() : currentTime.getDate();
        timeOfDay = ( currentHours < 12 ) ? "am" : "pm";

    if (Clock == "24h") { // 24시간 형식일 경우
        timeOfDay = "";
        currentHours = ( currentHours < 10 ? "0" : "" ) + currentHours;
        currentTimeString = currentHours + ":" + currentMinutes;
            document.getElementById("hour").innerHTML = currentHours;
            document.getElementById("minute").innerHTML = currentMinutes;
            document.getElementById("ampm").innerHTML = timeOfDay;
     }
    if (Clock == "12h") { // 12시간 형식일 경우
        currentHours = ( currentHours > 12 ) ? currentHours - 12 : currentHours;
        currentHours = ( currentHours == 0 ) ? 12 : currentHours;
        currentHours = ( currentHours < 10 ) ? '0' + currentHours : currentHours;
        currentTimeString = currentHours + ":" + currentMinutes;
            document.getElementById("hour").innerHTML = currentHours;
            document.getElementById("minute").innerHTML = currentMinutes;
            document.getElementById("ampm").innerHTML = timeOfDay;
    }
    document.getElementById("weekday").innerHTML = days[currentTime.getDay()];
    document.getElementById("date").innerHTML = currentDate;

    /*
    switch (lang) {
    case "ko": // lang의 값이 ko인 경우.
        document.getElementById("date").innerHTML = currentDate + '일';
    break;
    default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
        document.getElementById("date").innerHTML = currentDate + 'th';
        if (currentDate == "01") {document.getElementById("date").innerHTML = currentDate + 'st';}
        if (currentDate == "21") {document.getElementById("date").innerHTML = currentDate + 'st';}
        if (currentDate == "31") {document.getElementById("date").innerHTML = currentDate + 'st';}
        if (currentDate == "02") {document.getElementById("date").innerHTML = currentDate + 'nd';}
        if (currentDate == "22") {document.getElementById("date").innerHTML = currentDate + 'nd';}
        if (currentDate == "03") {document.getElementById("date").innerHTML = currentDate + 'rd';}
        if (currentDate == "23") {document.getElementById("date").innerHTML = currentDate + 'rd';}
    break;
    }
    */

    document.getElementById("month").innerHTML = "."+months[currentTime.getMonth()];
	document.getElementById("year").innerHTML = ","+currentYear;

    if (sWeekDay == true) {
        jQuery('#weekday').removeClass('hidden');
    } else {
        jQuery('#weekday').addClass('hidden');
    };
    if (sDay == true) {
        jQuery('#date').removeClass('hidden');
    } else {
        jQuery('#date').addClass('hidden');
    };
    if (sMonth == true) {
        jQuery('#month').removeClass('hidden');
    } else {
        jQuery('#month').addClass('hidden');
    };
    if (sYear == true) {
        jQuery('#year').removeClass('hidden');
    } else {
        jQuery('#year').addClass('hidden');
    };
}

function update(){
	updateClock();
	setInterval("updateClock();", 1000);
}

jQuery(document).ready(function (){
    update();
});